﻿using System.Collections.Generic;
using System.Linq;
using System.Windows.Media;
using Infragistics;
using Infragistics.Controls.Charts;

namespace SampleApp
{
    public class CustomContourValueResolver : LinearContourValueResolver
    {
        public CustomContourValueResolver()
        {
            Values = new DoubleCollection { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 };
        }
        public DoubleCollection Values { get; set; }
       
        public override IEnumerable<double> GetContourValues(IFastItemColumn<double> valueColumn)
        {
            return Values.ToArray(); // new double[] { 1, 2, 4, 5, 8 };
        }

    }
    public class RangeContourValueResolver : LinearContourValueResolver
    {
        public RangeContourValueResolver()
        {
            Minimum = 0.0;
            Maximum = 10.0;
            Interval = 1.0;
            Values = GetValues();
        }
        public DoubleCollection Values { get; set; }
        public double Interval { get; set; }
        public double Minimum { get; set; }
        public double Maximum { get; set; }

        public override IEnumerable<double> GetContourValues(IFastItemColumn<double> valueColumn)
        {
            return GetValues().ToArray(); // new double[] { 1, 2, 4, 5, 8 };
        }

        private DoubleCollection GetValues()
        {
            var values = new DoubleCollection();
            for (double value = Minimum; value <= Maximum; value += Interval)
            {
                values.Add(value);
            }
            return values;
        }
    }
}
