﻿using System;
using System.Windows.Threading;

namespace Infragistics.Extensions
{
    public abstract class AnnimationModel : ObservableModel
    {
        protected double DataSeed = 0.0;
        protected AnnimationModel()
        {
            Timer = new DispatcherTimer { Interval = TimeSpan.FromMilliseconds(40) };
            Timer.Tick += OnTimerTick;
        }
        void OnTimerTick(object sender, EventArgs e)
        {
            RefreshData();
        }

        public abstract void RefreshData();
        //public virtual void RefreshData()
        //{
            
        //}
    
        public void ToggleAnimation()
        {
            if (Timer.IsEnabled)
                Timer.Stop();
            else
                Timer.Start();
        }
        private DispatcherTimer _timer;
        public DispatcherTimer Timer
        {
            get { return _timer; }
            set
            {
                _timer = value;
                OnPropertyChanged("Timer");
            }
        }
    }
}