﻿using System.Collections.ObjectModel;

namespace Infragistics.Extensions
{
    public sealed class DoubleObsCollection : ObservableCollection<double>, IFastItemColumn<double>
    {
        public string PropertyName { get; private set; }
        public double Minimum { get; private set; }
        public double Maximum { get; private set; }

        public DoubleObsCollection()
        {
            PropertyName = "";
            this.CollectionChanged += ScaleValues_CollectionChanged;
        }

        void ScaleValues_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            Minimum = double.MaxValue;
            Maximum = double.MinValue;
            foreach (var item in this)
            {
                Minimum = System.Math.Min(Minimum, item);
                Maximum = System.Math.Max(Maximum, item);
            }
        }

    }
}