﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Infragistics.Extensions
{
    public class SampleStackData : StackDataList
    {
        public SampleStackData()
        {
            var rand = new Random();
            var date = DateTime.Now;
            for (int i = 0; i < 10; i++)
            {
                date = date.AddDays(2);
                var v1 = rand.Next(10, 30);
                var v2 = rand.Next(30, 50);
                var v3 = rand.Next(20, 40);
                this.Add(new StackDataItem { 
                    Date = date, Label = "Label " + (i + 1), 
                    Value1 = v1, Value2 = v2, Value3 = v3 }
                    );
            }
        }

    }
    public class SampleGroupData : StackDataList
    {
        public SampleGroupData()
        {
            string group1 = "Group1";
            string group2 = "Group2";
            string group3 = "Group3";

            var unsorted = new List<StackDataItem>();
            DateTime testDate = DateTime.Now;
            unsorted.Add(new StackDataItem() { Label = group1, Date = testDate, Value1 = 3 });
            unsorted.Add(new StackDataItem() { Label = group2, Date = testDate, Value1 = 0 });
            unsorted.Add(new StackDataItem() { Label = group3, Date = testDate, Value1 = 5 });

            testDate = testDate.AddDays(2);
            unsorted.Add(new StackDataItem() { Label = group1, Date = testDate, Value1 = 2 });
            unsorted.Add(new StackDataItem() { Label = group2, Date = testDate, Value1 = 7 });
            unsorted.Add(new StackDataItem() { Label = group3, Date = testDate, Value1 = 1 });

            testDate = testDate.AddMonths(-1);
            unsorted.Add(new StackDataItem() { Label = group1, Date = testDate, Value1 = 0 });
            unsorted.Add(new StackDataItem() { Label = group2, Date = testDate, Value1 = 3 });
            unsorted.Add(new StackDataItem() { Label = group3, Date = testDate, Value1 = 5 });

            testDate = DateTime.Now.AddDays(10);
            unsorted.Add(new StackDataItem() { Label = group1, Date = testDate, Value1 = 1 });
            unsorted.Add(new StackDataItem() { Label = group2, Date = testDate, Value1 = 5 });
            unsorted.Add(new StackDataItem() { Label = group3, Date = testDate, Value1 = 0 });

            var items = unsorted.OrderBy(e => e.Date).ToList();
            this.AddRange(items);
         
        }
    }
    public class StackDataList : List<StackDataItem>
    {


    }

    public class StackDataItem
    {
        public DateTime Date { get; set; }
        public string Label { get; set; }
        public double Value1 { get; set; }
        public double Value2 { get; set; }
        public double Value3 { get; set; }

    }
}